--- libs/libmythtv/eithelper.cpp.orig	2011-07-29 16:01:20.749927701 +0900
+++ libs/libmythtv/eithelper.cpp	2011-09-29 13:13:47.004953387 +0900
@@ -251,16 +251,30 @@
 
     if (bestShortEvent)
     {
+        QRegExp pre_pattern("^((\\[.{1,2}\\])+)"); 
+        QRegExp suf_pattern(QString::fromUtf8(".+(−?((\\[.{1,2}\\])+|#\\d+|「|\\(\\d+\\)|（\\d+）|\\(?第|(<.>)+|(＜.＞)+|最終回).*)")); 
         ShortEventDescriptor sed(bestShortEvent, dvbkind);
         if (enc)
         {
             title    = sed.EventName(enc, enc_len);
-            subtitle = sed.Text(enc, enc_len);
+            pre_pattern.indexIn(title);
+            subtitle = pre_pattern.cap(1);
+            title    = title.remove(pre_pattern);
+            suf_pattern.indexIn(title);
+            subtitle += suf_pattern.cap(1);
+            title    = title.remove(suf_pattern.cap(1)).trimmed();
+            subtitle += sed.Text(enc, enc_len);
         }
         else
         {
             title    = sed.EventName();
-            subtitle = sed.Text();
+            pre_pattern.indexIn(title);
+            subtitle = pre_pattern.cap(1);
+            title    = title.remove(pre_pattern);
+            suf_pattern.indexIn(title);
+            subtitle += suf_pattern.cap(1);
+            title    = title.remove(suf_pattern.cap(1)).trimmed();
+            subtitle += sed.Text();
         }
     }
 
